(*  Applescript to stop/start MySQL Server app
Author:  Craig Treleaven, ctreleaven at cogeco.ca
Modified: 2012Jul13

NB - if mysqld is running, we only stop it if it was launched under launchd
*)
set mysqld to " not running on this machine."
set mysqlButton to "Donno"
set newline to "
"
set indent to space & space & space & space
set myResult to ""

repeat until (myResult contains "Close")
	set processes to do shell script "ps -Ac"
	if the processes contains "mysqld" then
		set mysqld to " running."
		set mysqlButton to "Stop MySQL"
	else
		set mysql to " not running."
		set mysqlButton to "Start MySQL"
	end if
	
	set myResult to display dialog "Simple tool to start and stop the MySQL database server" & newline & newline & "Currently... " & 
		newline & newline & indent & "MySQL server is" & mysqld 
		with icon note with title 
		"Stop/Start MySQL Server" buttons {mysqlButton, "Close"} 
		default button "Close" -- cancel button "Close" 
	set myResult to button returned of myResult
	if myResult contains "Start MySQL" then
		do shell script "sudo launchctl load -w /Library/LaunchDaemons/org.macports.mysql5.plist" with administrator privileges
		delay 2 -- a little time to start up
	else if myResult contains "Stop MySQL" then
		if ((do shell script "sudo launchctl list" with administrator privileges) contains "mysql5") then
			do shell script "sudo launchctl unload -w /Library/LaunchDaemons/org.macports.mysql5.plist" with administrator privileges
		else
			display alert " MySQL Server appears not to have been started in the normal fashion.  Unable to shut down." message "Was mysqld started directly from a command line session?" as warning
		end if
		set myResult to "Close"
	end if
end repeat
